# Get all payees

Payees (previously "beneficiaries"). Retrieves the payees that match the query parameters.

Endpoint: GET /beneficiaries
Version: v3
Security: auth_token, api-key

## Query parameters:

  - `offset` (integer)
    The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results.

  - `limit` (integer)
    The limit of the results for paging, starting at the offset. Limit is always capped at 100.

  - `batchId` (array)
    Search by the payee batch id.

  - `group` (array)
    Search by the payee group.

## Response 200 fields (application/json):

  - `beneficiaries` (array)

  - `beneficiaries.trustLevel` (string, required)
    The value that determines whether a Beneficiary is trusted or not.
    Enum: "TRUSTED"

  - `beneficiaries.externalRefs` (array)
    The id of the entity as it is represented on the caller system.

  - `beneficiaries.group` (string)
    A custom field that can be used to categorise a beneficiary for easier searching and filtering.

  - `beneficiaries.beneficiaryInformation` (any, required)
    The object representing the beneficiary details.

  - `beneficiaries.beneficiaryInformation.businessName` (string, required)
    The business beneficiary name. The allowed length and pattern is dependent on the beneficiary details type:
`InstrumentDetailsBeneficiary` or `BankAccountDetailsBeneficiary` with `IBANDetails`: >= `1` character and <= `150` characters
`BankAccountDetailsBeneficiary` with `FasterPaymentsBankDetailsOrBACSBankDetails`: >= `1` character and <= `140` characters with a pattern of `^[a-zA-Z0-9\/\-?:().,’+\s#=!"%&*<>;\{@\r\n]*$`
(please note that the `’` symbol is the unicode value U+2019 (right single quotation mark) and not the unicode value U+0027 (apostrophe))

  - `beneficiaries.beneficiaryInformation.nationality` (string)
    The nationality of the consumer. Must be a valid ISO 3166-1 alpha-2 country code (e.g., 'GB', 'FR').

  - `beneficiaries.beneficiaryInformation.dateOfBirth` (string)
    The date of birth of the consumer. Must be a valid date in ISO 8601 format (YYYY-MM-DD) and should not be a future date.

  - `beneficiaries.beneficiaryInformation.fullName` (string, required)
    The person beneficiary name. The allowed length and pattern is dependent on the beneficiary details type:
`InstrumentDetailsBeneficiary` or `BankAccountDetailsBeneficiary` with `IBANDetails`: >= `1` character and <= `150` characters
`BankAccountDetailsBeneficiary` with `FasterPaymentsBankDetailsOrBACSBankDetails`: >= `1` character and <= `140` characters with a pattern of `^[a-zA-Z0-9\/\-?:().,’+\s#=!"%&*<>;\{@\r\n]*$`
(please note that the `’` symbol is the unicode value U+2019 (right single quotation mark) and not the unicode value U+0027 (apostrophe))

  - `beneficiaries.beneficiaryDetails` (any, required)
    The object representing the beneficiary instrument details.

  - `beneficiaries.beneficiaryDetails.instrument` (object, required)

  - `beneficiaries.beneficiaryDetails.instrument.id` (string, required)

  - `beneficiaries.beneficiaryDetails.instrument.type` (string, required)
    Enum: "managed_cards", "managed_accounts"

  - `beneficiaries.beneficiaryDetails.address` (string)
    The beneficiary's address.

  - `beneficiaries.beneficiaryDetails.bankName` (string)
    The beneficiary's bank name.

  - `beneficiaries.beneficiaryDetails.bankAddress` (string)
    The beneficiary's bank address.

  - `beneficiaries.beneficiaryDetails.bankCountry` (string)
    The beneficiary's bank country in ISO 3166 alpha-2 format.

  - `beneficiaries.beneficiaryDetails.bankAccountDetails` (any, required)
    Details of the beneficiary bank account, depending on the type of transfer chosen.

  - `beneficiaries.beneficiaryDetails.bankAccountDetails.iban` (string, required)
    International Bank Account Number, required for wire transfer over SEPA or RIX

  - `beneficiaries.beneficiaryDetails.bankAccountDetails.bankIdentifierCode` (string)
    BIC, for wire transfer over SEPA or RIX

  - `beneficiaries.beneficiaryDetails.bankAccountDetails.accountNumber` (string, required)
    Account number, required for wire transfer over Faster Payments.

  - `beneficiaries.beneficiaryDetails.bankAccountDetails.sortCode` (string, required)
    Sort code, required for wire transfer over Faster Payments.

  - `beneficiaries.beneficiaryDetails.bankAccountDetails.secondaryReference` (string)

  - `beneficiaries.id` (string, required)
    The unique identifier of a Beneficiary.

  - `beneficiaries.relatedOperationBatches` (array, required)
    The object representing the list of batch IDs and the operations that occurred for each batch.

  - `beneficiaries.relatedOperationBatches.batchId` (string, required)
    The unique identifier of a Beneficiary.

  - `beneficiaries.relatedOperationBatches.operation` (string, required)
    Enum: "CREATE", "REMOVE"

  - `beneficiaries.state` (string, required)
    Enum: "INITIALISED", "INVALID", "PENDING_CHALLENGE", "CHALLENGE_FAILED", "ACTIVE", "REMOVED"

  - `beneficiaries.validationFailure` (string)
    Enum: "INSTRUMENT_DETAILS_NOT_FOUND", "BENEFICIARY_DETAILS_ALREADY_EXIST", "BENEFICIARY_BELONGS_TO_SAME_IDENTITY"

  - `count` (integer)
    The total number of records (excluding the paging limit).

  - `responseCount` (integer)
    The total number of records returned in this response (always capped at 100).

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

